Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZSQLite3DB Class Reference
Inheritance diagram for eZSQLite3DB:

## Public Member Functions
| __construct ( $parameters)
| databaseName ()
| bindingType ()
| bindVariable ( $value, $fieldDef=false)
| checkCharset ( $charset, &$currentCharset)
| query ( $sql, $server=false)
| arrayQuery ( $sql, $params=array(), $server=false)
| subString ( $string, $from, $len=null)
| concatString ( $strings=array())
| md5 ( $str)
| md5UDF ( $str)
| bitAnd ( $arg1, $arg2)
| bitOr ( $arg1, $arg2)
| beginQuery ()
| commitQuery ()
| rollbackQuery ()
| lastSerialID ( $table=false, $column=false)
| escapeString ( $str)
| close ()
| __destruct ()
| createDatabase ( $dbName)
| setError ()
| availableDatabases ()
| databaseServerVersion ()
| databaseClientVersion ()
| isCharsetSupported ( $charset)
| eZTableList ( $server=eZDBInterface::SERVER_MASTER)
| supportedRelationTypes ()
| relationList ( $relationType=eZDBInterface::RELATION_TABLE)
| removeRelation ( $relationName, $relationType)
Public Member Functions inherited from eZDBInterface
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| prepareSqlQuery (&$fd, &$buffer)
| insertFile ( $path, $sqlFile, $usePathType=true)
| reportQuery ( $class, $sql, $numRows, $timeTaken, $asDebug=false)
| setIsSQLOutputEnabled ( $enabled)
| startTimer ()
| endTimer ()
| startTime ()
| endTime ()
| timeTaken ()
| socketPath ()
| connectRetryCount ()
| connectRetryWaitTime ()
| supportedRelationTypeMask ()
| useShortNames ()
| hasRequiredServerVersion ( $minVersion, $name=false)
| charset ()
| usesBuiltinEncoding ()
| lock ( $table)
| unlock ()
| begin ()
| commit ()
| rollback ()
| generateFailedTransactionStack ()
| generateFailedTransactionStackEntry ( $stack, $indentCount)
| generateTraceEntry ( $entry)
| invalidateTransaction ()
| reportError ()
| isTransactionValid ()
| transactionCounter ()
| relationCounts ( $relationMask)
| relationCount ( $relationType=eZDBInterface::RELATION_TABLE)
| relationName ( $relationType)
| relationMatchRegexp ( $relationType)
| implodeWithTypeCast ( $glue, &$pieces, $type)
| isConnected ()
| removeDatabase ( $dbName)
| createTempTable ( $createTableQuery='', $server=self::SERVER_SLAVE)
| dropTempTable ( $dropTableQuery='', $server=self::SERVER_SLAVE)
| dropTempTableList ( $tableList, $server=self::SERVER_SLAVE)
| errorMessage ()
| errorNumber ()
| generateUniqueTempTableName ( $pattern, $randomizeIndex=false, $server=self::SERVER_SLAVE)
| version ()
| generateSQLINStatement ( $elements, $columnName='', $not=false, $unique=true, $type=false)
| supportsDefaultValuesInsertion ()
| setErrorHandling ( $errorHandling)
| truncateString ( $string, $maxLength, $fieldName, $truncationSuffix='')
| countStringSize ( $string)

## Public Attributes
| $TempTableList
Public Attributes inherited from eZDBInterface
const | BINDING_NO = 0
const | BINDING_NAME = 1
const | BINDING_ORDERED = 2
const | RELATION_TABLE = 0
const | RELATION_SEQUENCE = 1
const | RELATION_TRIGGER = 2
const | RELATION_VIEW = 3
const | RELATION_INDEX = 4
const | RELATION_TABLE_BIT = 1
const | RELATION_SEQUENCE_BIT = 2
const | RELATION_TRIGGER_BIT = 4
const | RELATION_VIEW_BIT = 8
const | RELATION_INDEX_BIT = 16
const | RELATION_NONE = 0
const | RELATION_MASK = 31
const | ERROR_MISSING_EXTENSION = 1
const | SERVER_MASTER = 1
const | SERVER_SLAVE = 2
const | MAX_INT = 2147483647
const | MIN_INT = -2147483648
| $Server
| $Port
| $SocketPath
| $DB
| $DBConnection
| $DBWriteConnection
| $User
| $Password
| $Charset
| $ConnectRetries
| $OutputTextCodec
| $InputTextCodec
| $UseBuiltinEncoding
| $OutputSQL
| $IsConnected = false
| $NumQueries = 0
| $StartTime
| $EndTime
| $TimeTaken
| $ErrorMessage
| $ErrorNumber = 0
| $RecordError = true
| $UsePersistentConnection = false
| $UseSlaveServer
| $SlaveDB
| $SlaveServer
| $SlavePort
| $SlaveUser
| $SlavePassword
| $TransactionCounter
| $TransactionIsValid
| $TransactionStackTree
| $IsInternalCharset
| $SlowSQLTimeout
| $QueryAnalysisOutput
| $AttributeVariableMap

## Private Member Functions
| connect ( $fileName)

## Additional Inherited Members
Protected Attributes inherited from eZDBInterface
| $errorHandling = eZDB::ERROR_HANDLING_STANDARD

## Detailed Description

Definition at line 3 of file ezsqlite3db.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSQLite3DB::__construct | ( |  | $parameters | ) |

Creates a new eZDBInterface object and connects to the database backend.

Parameters

  array | $parameters |

Reimplemented from eZDBInterface.

Definition at line 5 of file ezsqlite3db.php.

References connect(), eZDebug\createAccumulatorGroup(), eZDBInterface\ERROR_MISSING_EXTENSION, query(), and eZDebug\writeError().

## ◆ __destruct()

eZSQLite3DB::__destruct | ( |  | ) |

Definition at line 441 of file ezsqlite3db.php.

References close().

## Member Function Documentation

## ◆ arrayQuery()

eZSQLite3DB::arrayQuery | ( |  | $sql,
|  |  | $params = `array()`,
|  |  | $server = `false`
| ) |  |

\reimp

Reimplemented from eZDBInterface.

Definition at line 192 of file ezsqlite3db.php.

References eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), eZDBInterface\endTimer(), eZDBInterface\reportError(), eZDBInterface\reportQuery(), setError(), eZDBInterface\startTimer(), eZDBInterface\timeTaken(), and eZDebug\writeError().

Referenced by eZTableList(), and lastSerialID().

## ◆ availableDatabases()

eZSQLite3DB::availableDatabases | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 469 of file ezsqlite3db.php.

## ◆ beginQuery()

eZSQLite3DB::beginQuery | ( |  | ) |

\reimp The query to start the transaction.

Reimplemented from eZDBInterface.

Definition at line 351 of file ezsqlite3db.php.

References query().

## ◆ bindingType()

eZSQLite3DB::bindingType | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 124 of file ezsqlite3db.php.

References eZDBInterface\BINDING_NO.

## ◆ bindVariable()

eZSQLite3DB::bindVariable | ( |  | $value,
|  |  | $fieldDef = `false`
| ) |  |

\reimp

Reimplemented from eZDBInterface.

Definition at line 132 of file ezsqlite3db.php.

## ◆ bitAnd()

eZSQLite3DB::bitAnd | ( |  | $arg1,
|  |  | $arg2
| ) |  |

Returns a sql-expression(string) to generate a bit and of the argument.

Parameters

  string | $arg1 |
  string | $arg2 |

Returns
  string

Reimplemented from eZDBInterface.

Definition at line 337 of file ezsqlite3db.php.

## ◆ bitOr()

eZSQLite3DB::bitOr | ( |  | $arg1,
|  |  | $arg2
| ) |  |

Returns a sql-expression(string) to generate a bit and of the argument.

Parameters

  string | $arg1 |
  string | $arg2 |

Returns
  string

Reimplemented from eZDBInterface.

Definition at line 342 of file ezsqlite3db.php.

## ◆ checkCharset()

eZSQLite3DB::checkCharset | ( |  | $charset,
|  | & | $currentCharset
| ) |  |

Checks if the requested character set matches the one used in the database.

The default is to always return true, see the specific database handler for more information.

Parameters

  string | array | $charset |
  string | $currentCharset | The charset that the database uses, will only be set if the match fails.

Returns
  bool true if it matches or false if it differs.

Reimplemented from eZDBInterface.

Definition at line 139 of file ezsqlite3db.php.

## ◆ close()

eZSQLite3DB::close | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 432 of file ezsqlite3db.php.

Referenced by __destruct().

## ◆ commitQuery()

eZSQLite3DB::commitQuery | ( |  | ) |

\reimp The query to commit the transaction.

Reimplemented from eZDBInterface.

Definition at line 360 of file ezsqlite3db.php.

References query().

## ◆ concatString()

eZSQLite3DB::concatString | ( |  | $strings = `array()` | ) |

Returns a sql-expression(string) to concatenate strings.

Parameters

  array | $strings |

Returns
  string

Reimplemented from eZDBInterface.

Definition at line 322 of file ezsqlite3db.php.

## ◆ connect()

eZSQLite3DB::connect | ( |  | $fileName | ) |
| private

Opens a new connection to a SQLite database and returns the connection

Definition at line 42 of file ezsqlite3db.php.

References eZDBInterface\connectRetryCount(), eZDBInterface\connectRetryWaitTime(), eZDir\path(), eZDebug\writeDebug(), and eZDebug\writeError().

Referenced by __construct().

## ◆ createDatabase()

eZSQLite3DB::createDatabase | ( |  | $dbName | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 449 of file ezsqlite3db.php.

## ◆ databaseClientVersion()

eZSQLite3DB::databaseClientVersion | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 507 of file ezsqlite3db.php.

## ◆ databaseName()

eZSQLite3DB::databaseName | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 116 of file ezsqlite3db.php.

## ◆ databaseServerVersion()

eZSQLite3DB::databaseServerVersion | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 494 of file ezsqlite3db.php.

## ◆ escapeString()

eZSQLite3DB::escapeString | ( |  | $str | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 417 of file ezsqlite3db.php.

## ◆ eZTableList()

eZSQLite3DB::eZTableList | ( |  | $server = `eZDBInterface::SERVER_MASTER` | ) |

Returns the existing ez publish tables in database

Parameters

  int | $server |

Returns
  array

Reimplemented from eZDBInterface.

Definition at line 526 of file ezsqlite3db.php.

References arrayQuery(), and eZDBInterface\RELATION_TABLE.

Referenced by relationList().

## ◆ isCharsetSupported()

eZSQLite3DB::isCharsetSupported | ( |  | $charset | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 521 of file ezsqlite3db.php.

## ◆ lastSerialID()

eZSQLite3DB::lastSerialID | ( |  | $table = `false`,
|  |  | $column = `false`
| ) |  |

\reimp

because it only works on a PRIMARY KEY of 1 column

Reimplemented from eZDBInterface.

Definition at line 377 of file ezsqlite3db.php.

References arrayQuery(), and query().

## ◆ md5()

eZSQLite3DB::md5 | ( |  | $str | ) |

Returns a sql-expression(string) to generate a md5 sum of the string.

Parameters

  string | $str |

Returns
  string

Reimplemented from eZDBInterface.

Definition at line 327 of file ezsqlite3db.php.

Referenced by md5UDF().

## ◆ md5UDF()

eZSQLite3DB::md5UDF | ( |  | $str | ) |

Definition at line 332 of file ezsqlite3db.php.

References md5().

## ◆ query()

eZSQLite3DB::query | ( |  | $sql,
|  |  | $server = `false`
| ) |  |

\reimp

Reimplemented from eZDBInterface.

Definition at line 147 of file ezsqlite3db.php.

References eZDebug\accumulatorStart(), eZDebug\accumulatorStop(), eZDBInterface\endTimer(), eZDBInterface\reportError(), eZDBInterface\reportQuery(), setError(), eZDBInterface\startTimer(), eZDBInterface\timeTaken(), and eZDebug\writeError().

Referenced by __construct(), beginQuery(), commitQuery(), lastSerialID(), removeRelation(), and rollbackQuery().

## ◆ relationList()

eZSQLite3DB::relationList | ( |  | $relationType = `eZDBInterface::RELATION_TABLE` | ) |

Returns the relation names in the database as an array for the relation type $relationType.

Parameters

  int | $relationType |

Returns
  array

Reimplemented from eZDBInterface.

Definition at line 554 of file ezsqlite3db.php.

References eZTableList(), eZDBInterface\RELATION_TABLE, and eZDebug\writeError().

## ◆ removeRelation()

eZSQLite3DB::removeRelation | ( |  | $relationName,
|  |  | $relationType
| ) |  |

\reimp

Reimplemented from eZDBInterface.

Definition at line 569 of file ezsqlite3db.php.

References query(), eZDBInterface\relationName(), and eZDebug\writeError().

## ◆ rollbackQuery()

eZSQLite3DB::rollbackQuery | ( |  | ) |

\reimp The query to cancel the transaction.

Reimplemented from eZDBInterface.

Definition at line 369 of file ezsqlite3db.php.

References query().

## ◆ setError()

eZSQLite3DB::setError | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 457 of file ezsqlite3db.php.

Referenced by arrayQuery(), and query().

## ◆ subString()

eZSQLite3DB::subString | ( |  | $string,
|  |  | $from,
|  |  | $len = `null`
| ) |  |

Returns a sql-expression(string) to get substring.

Parameters

  string | $string |
  int | $from |
  int | $len |

Returns
  string

Reimplemented from eZDBInterface.

Definition at line 310 of file ezsqlite3db.php.

## ◆ supportedRelationTypes()

eZSQLite3DB::supportedRelationTypes | ( |  | ) |

\reimp

Reimplemented from eZDBInterface.

Definition at line 549 of file ezsqlite3db.php.

References eZDBInterface\RELATION_TABLE.

## Member Data Documentation

## ◆ $TempTableList

eZSQLite3DB::$TempTableList

Definition at line 586 of file ezsqlite3db.php.

The documentation for this class was generated from the following file:

- ezsqlite3db.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.